Jump to content
jdebiase

Amplifi Not Compatible on Macs designed with USB 3.0!!

Recommended Posts

I spent the last week or so working with Apple's engineers to find out why my Amplifi 75 could not be detected by my Mac running El Capitan. I tested the amp with older Macs running a variety of OS's including El Capitan and the all worked flawlessly. They found the Amplifi immediately! Line 6 said that proved it was not their product or firmware and refused to help or even listen!! Apple concluded that the device was not compatible with Macs designed with USB 3.0 ports and architecture! They ran an independent test and agreed that the amp was designed to work only with USB 1.0 or 2.0 with the latest firmware and not with 3.0! Regardless of operating system as long as the IS was newer than 10.7. So: does anyone out there know for a fact that their Amplifi is working with Macs running USB 3.0 via the USB Jack and can record into DAW software on said Mac? Please let me know. I wrote Lune 6 to look into this and hopefully develop the appropriate update thanks all!

Jim

Share this post


Link to post
Share on other sites

I have a late 2014 Mac Mini with USB 3.0 running OSX El Capitan 10.11.5.

I have never used the usb interface function before but just tried it out and it works fine.

The amp has all the recent firmware.

The Amplifi 75 does not show up as a drive icon on the desktop but it does show up in the Audio MIDI Setup app.

I opened Ableton Live 9 and the Amplifi shows up in the Audio Preferences pane selection menu.

It configured from there and routed audio with no problem.

I even used a usb hub and was not going directly into the back of the computer.

 

It is frustrating to not have things go smoothly. I don't know what to suggest except check usb cables and ports.

Perhaps I don't really understand your situation, maybe it is an issue with Macs after 2014, but it might be worth reverting or factory resetting and then updating again.

Someone more knowledgeable can hopefully suggest some solutions.

Share this post


Link to post
Share on other sites

Sorry, but your headline is wrong: It works on my MBP mid 2014 with USB 3 (DAW and the Amplify 150 is shown in the Line 6 Updater).

What kind of Mac (Model, Year) do you use? Perhaps it's a problem with Macs built after 2014 as yapruder also wrote above. It doesn't seem a problem having to do with USB3 and Macs in general.

Share this post


Link to post
Share on other sites

Sorry, but your headline is wrong: It works on my MBP mid 2014 with USB 3 (DAW and the Amplify 150 is shown in the Line 6 Updater).

What kind of Mac (Model, Year) do you use? Perhaps it's a problem with Macs built after 2014 as yapruder also wrote above. It doesn't seem a problem having to do with USB3 and Macs in general.

Thank you! I'm sending all these remarks to the techs at Apple who clearly got it wrong! My Mac is like the others mid 2014 with USB 3.0 and the newest El Capitan. My Amplifi 75 worked fine with older models I tested it on via USB. It was recognized immediately in the audio/midi setup. But not my Mac! So frustrating!!

Jim

Share this post


Link to post
Share on other sites

I have a late 2014 iMac retina with El Capitan. I used the usb and line 6 updated. All worked fine. Line 6 does say that the updates won't work through a usb hub though. I tried. No dice. Plugged the sub direct to sub 3 port on the back and all worked great. Hope that helps

Share this post


Link to post
Share on other sites

I have a late 2014 iMac retina with El Capitan. I used the usb and line 6 updated. All worked fine. Line 6 does say that the updates won't work through a usb hub though. I tried. No dice. Plugged the sub direct to sub 3 port on the back and all worked great. Hope that helps

Nada! After spending many hours with Apple's techs no one could determine why I was having this issue. They just said bring the amp and computer to a Genius Bar and good luck! Line 6 wouldn't even respond!! The Amp works fine via USB on older Macs!

💀

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×